import request from '@/utils/request'

//机具退料入库
export function getReturnOfMaterialsInfoAll(query) {
    return request({
      url: '/material/warehousing/getList',
      method: 'get',
      params: query
    })
  }


// 获取厂家
export function supplierInfoList(query) {
    return request({
        url: '/material/warehousing/supplierInfoList',
        method: 'get',
        params: query,
    })
}

// 提交编码入库
export function inputByCode(data) {
  return request({
    url: '/material/warehousing/addList',
    method: 'post',
    data: data
  })
}


// 查看盘点入库详情接口
export const getDetailsListApi = (params) => {
  return request.get(`/material/warehousing/getDetail`, {
    params
  })
}


//  获取 设备树
export function getDeviceTypeTree(params = {}){
  return request({
    url: '/material/select/getDeviceTypeTreeTwo',
    method: 'post',
    data: params
  })
}

//  获取 设备树
export function getDeviceTypeTreeTwo(params = {}){
  return request({
    url: '/material/select/getDeviceTypeTreeTwo',
    method: 'post',
    data: params
  })
}












